<?php

namespace App\Mail;

use App\Models\ImportRequest;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ImportRequestCreatedMail extends Mailable
{
    use Queueable, SerializesModels;

    public $importRequest;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(ImportRequest $importRequest)
    {
        $this->importRequest = $importRequest;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject("New IMPORT Courier Booking Request. ID - {$this->importRequest->id}")
                    ->view('emails.import_requests.created');
    }
}
